﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub R&S RTM105x (1 yr) Input Res VER VISA /O_CAL
INSTRUMENT:            Sub R&S RTM105x (1 yr) DC Gain VER VISA /O_CAL
INSTRUMENT:            Sub R&S RTM105x (1 yr) Offset Acc VER VISA /O_CAL
DATE:                  2016-06-14 12:54:46
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 16202 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       8
NUMBER OF LINES:       310
CONFIGURATION:         Fluke Ocal (Z)
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Model(s) Covered:
#        R&S RTM1052 (1305.0008.52)
#        R&S RTM1054 (1305.0008.54)
#
#  Source(s):
#        R&S RTM Digital Oscilloscope Service Manual, 1304.9018.02-01
#
#  Compatibility:
#        MET/CAL 8.1.4 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub R&S RTM105x Select Channel

  1.002  JMPL         INPUT_RESISTANCE             PSUBI("Input Res")
  1.003  JMPL         DC_GAIN                      PSUBI("DC Gain")
  1.004  JMPL         OFFSET                       PSUBI("Offset Acc")
  1.005  DISP         Called {Subprocedure Not Found}!
  1.006  END

  1.007  EVAL   Increment step number


# =====  Sub R&S RTM105x (1 yr) Input Res VER VISA /O_CAL  ===============

  2.001  LABEL        INPUT_RESISTANCE

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  HEAD         {INPUT RESISTANCE (DC)} - Channel [V @Chan]
  2.005  ELSE
  2.006  HEAD         INPUT RESISTANCE (DC) - Channel [V @Chan]
  2.007  ENDIF

  2.008  RSLT         =
  2.009  RSLT         =Channel [V @Chan]
  2.010  RSLT         =
  2.011  HEAD         -2 {Input Coupling: 1 MOhm}
  2.012  TARGET       -p
  2.013  VISA         CHAN[V @Chan]:SCAL 5E-3;COUP DCL;OFFS 0.975;POS 0
  2.014  VISA         TRIG:A:SOUR CH[V @Chan]
  2.015  TSET         TDESC = 5 mV/div  (975 mV Offset); NTHROW = 2
  2.016  TARGET       -m
  2.017  O_CAL        Mode        = MeasZ;  Channel = [V @CalChan]
  2.017  O_CAL        +Resistance = 1 MOhm; Measure
  2.018  MEMC         1.00MOhm       1%

  3.001  VISA         CHAN[V @Chan]:SCAL 50E-3;COUP DCL;OFFS 1;POS 0
  3.002  TSET         TDESC = 50 mV/div (1 V Offset); NTHROW = 2
  3.003  TARGET       -m
  3.004  O_CAL        Mode        = MeasZ;  Channel = [V @CalChan]
  3.004  O_CAL        +Resistance = 1 MOhm; Measure
  3.005  MEMC         1.00MOhm       1%

  4.001  VISA         CHAN[V @Chan]:SCAL 500E-3;COUP DCL;OFFS 0;POS 0
  4.002  TSET         TDESC = 500 mV/div (0 V Offset); NTHROW = 2
  4.003  TARGET       -m
  4.004  O_CAL        Mode        = MeasZ;  Channel = [V @CalChan]
  4.004  O_CAL        +Resistance = 1 MOhm; Measure
  4.005  MEMC         1.00MOhm       1%

  5.001  RSLT         =
  5.002  HEAD         -2 Channel [V @Chan]; {Input Coupling: 50 Ohm}
  5.003  TARGET       -p
  5.004  VISA         CHAN[V @Chan]:SCAL 5E-3;COUP DC;OFFS 0.5;POS 0
  5.005  TSET         TDESC = 5 mV/div (0.5 V Offset); NTHROW = 2
  5.006  TARGET       -m
  5.007  O_CAL        Mode        = MeasZ;  Channel = [V @CalChan]
  5.007  O_CAL        +Resistance = 50 Ohm; Measure
  5.008  MEMC         50.00Ohm       1.5%

  6.001  HEAD         -2
  6.002  O_CAL        Reset
  6.003  VISA         *RST
  6.004  HEAD
  6.005  END

  6.006  EVAL   Increment Step Number


# =====  Sub R&S RTM105x (1 yr) DC Gain VER VISA /O_CAL  =====================

  7.001  LABEL        DC_GAIN

  7.002  IF           @Chan == 1
  7.003  RSLT         =
  7.004  HEAD         {DC GAIN ACCURACY} - Channel [V @Chan]
  7.005  ELSE
  7.006  HEAD         DC GAIN ACCURACY - Channel [V @Chan]
  7.007  ENDIF

  7.008  RSLT         =
  7.009  RSLT         =Channel [V @Chan]
  7.010  RSLT         =
  7.011  HEAD         -2 {Input Coupling: 1 MOhm}
  7.012  TARGET       -p
  7.013  VISA         TIM:SCAL 100E-6
  7.014  VISA         CHAN[V @Chan]:BAND B20;POS 0
  7.015  VISA         ACQ:WRAT MSAM;AVER:COUN 2
  7.016  VISA         CHAN[V @Chan]:TYPE PDET;ARIT AVER
  7.017  VISA         TRIG:A:SOUR CH[V @Chan]
  7.018  VISA         MEAS1:ENAB ON;MAIN MEAN;SOUR CH[V @Chan]
  7.019  MATH         @Coupling = "1 MOhm"; @Input = "DCL"

  7.020  MATH         @Vert = "1 mV/div";   @Volt = 3.6E-3
  7.021  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.022  MATH         @Vert = "2 mV/div";   @Volt = 7E-3
  7.023  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.024  MATH         @Vert = "5 mV/div";   @Volt = 18E-3
  7.025  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.026  MATH         @Vert = "10 mV/div";  @Volt = 36E-3
  7.027  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.028  MATH         @Vert = "20 mV/div";  @Volt = 72E-3
  7.029  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.030  MATH         @Vert = "50 mV/div";  @Volt = 180E-3
  7.031  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.032  MATH         @Vert = "100 mV/div"; @Volt = 360E-3
  7.033  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.034  MATH         @Vert = "200 mV/div"; @Volt = 720E-3
  7.035  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.036  MATH         @Vert = "500 mV/div"; @Volt = 1.8
  7.037  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.038  MATH         @Vert = "1 V/div";    @Volt = 3.6
  7.039  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.040  MATH         @Vert = "2 V/div";    @Volt = 7.2
  7.041  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.042  MATH         @Vert = "5 V/div";    @Volt = 17.9
  7.043  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.044  MATH         @Vert = "10 V/div";   @Volt = 36
  7.045  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL
  7.046  O_CAL        Standby

  7.047  RSLT         =
  7.048  HEAD         -2 {Input Coupling: 50 Ohm}
  7.049  TARGET       -p
  7.050  MATH         @Coupling = "50 Ohm"; @Input = "DC"

  7.051  MATH         @Vert = "1 mV/div";   @Volt = 3.6E-3
  7.052  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.053  MATH         @Vert = "2 mV/div";   @Volt = 7.2E-3
  7.054  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.055  MATH         @Vert = "5 mV/div";   @Volt = 18E-3
  7.056  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.057  MATH         @Vert = "10 mV/div";  @Volt = 36E-3
  7.058  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.059  MATH         @Vert = "20 mV/div";  @Volt = 72E-3
  7.060  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.061  MATH         @Vert = "50 mV/div";  @Volt = 180E-3
  7.062  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.063  MATH         @Vert = "100 mV/div"; @Volt = 360E-3
  7.064  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.065  MATH         @Vert = "200 mV/div"; @Volt = 720E-3
  7.066  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.067  MATH         @Vert = "500 mV/div"; @Volt = 1.8
  7.068  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.069  MATH         @Vert = "1 V/div";    @Volt = 3.6
  7.070  CALL         Sub R&S RTM105x (1 yr) DC Gain Test VISA /O_CAL

  7.071  HEAD         -2
  7.072  O_CAL        Standby
  7.073  VISA         *RST
  7.074  HEAD
  7.075  END

  7.076  EVAL   Increment step number


# =====  Sub R&S RTM105x (1 yr) Offset Acc VER VISA /O_CAL  ================

  8.001  LABEL        OFFSET

  8.002  IF           @Chan == 1
  8.003  RSLT         =
  8.004  HEAD         {OFFSET ACCURACY} - Channel [V @Chan]
  8.005  ELSE
  8.006  HEAD         OFFSET ACCURACY - Channel [V @Chan]
  8.007  ENDIF

  8.008  RSLT         =
  8.009  RSLT         =Channel [V @Chan]
  8.010  RSLT         =
  8.011  RSLT         =Input Coupling: 1 MOhm
  8.012  TARGET       -p
  8.013  VISA         CHAN[V @Chan]:BAND B20;POS 0
  8.014  VISA         ACQ:WRAT MSAM;AVER:COUN 2
  8.015  VISA         CHAN[V @Chan]:TYPE PDET;ARIT AVER
  8.016  VISA         TRIG:A:SOUR CH[V @Chan]
  8.017  VISA         MEAS1:ENAB ON;MAIN MEAN;SOUR CH[V @Chan]
  8.018  MATH         @Coupling = "1 MOhm"; @Input = "DCL"

  8.019  VSET         UUT_RES = 0.0000001
  8.020  MATH         @Vert = "5 mV/div"; @Horiz = 1E-3
  8.021  MATH         @Volt = 0
  8.022  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.023  MATH         @Volt = +975E-3
  8.024  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.025  MATH         @Volt = -975E-3
  8.026  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL

  8.027  VSET         UUT_RES = 0.000001
  8.028  MATH         @Vert = "50 mV/div"; @Horiz = 500E-6
  8.029  MATH         @Volt = 0
  8.030  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.031  MATH         @Volt = +9.75
  8.032  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.033  MATH         @Volt = -9.75
  8.034  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL

  8.035  VSET         UUT_RES = 0.0001
  8.036  MATH         @Vert = "500 mV/div"; @Horiz = 500E-6
  8.037  MATH         @Volt = 0
  8.038  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.039  MATH         @Volt = +40
  8.040  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.041  MATH         @Volt = -40
  8.042  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.043  O_CAL        Standby

  8.044  RSLT         =
  8.045  RSLT         =Input Coupling: 50 Ohm
  8.046  TARGET       -p
  8.047  MATH         @Coupling = "50 Ohm"; @Input = "DC"
  8.048  TARGET       -p
  8.049  VSET         UUT_RES = 0.0000001
  8.050  MATH         @Vert = "5 mV/div"; @Horiz = 1E-3
  8.051  MATH         @Volt = 0
  8.052  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.053  MATH         @Volt = +975E-3
  8.054  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.055  MATH         @Volt = -975E-3
  8.056  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL

  8.057  VSET         UUT_RES = 0.00001
  8.058  MATH         @Vert = "50 mV/div"; @Horiz = 500E-6
  8.059  MATH         @Volt = 0
  8.060  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.061  MATH         @Volt = +5
  8.062  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.063  MATH         @Volt = -5
  8.064  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL

  8.065  VSET         UUT_RES = 0.0001
  8.066  MATH         @Vert = "500 mV/div"; @Horiz = 500E-6
  8.067  MATH         @Volt = 0
  8.068  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.069  MATH         @Volt = +5
  8.070  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL
  8.071  MATH         @Volt = -5
  8.072  CALL         Sub R&S RTM105x (1 yr) Offset Test VISA /O_CAL

  8.073  HEAD         -2
  8.074  O_CAL        Standby
  8.075  VISA         *RST
  8.076  VSET         UUT_RES = *
  8.077  HEAD
  8.078  END
